/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*-
 *
 * make-iso.h: code to generate iso files
 *
 * Copyright (C) 2002-2004 Red Hat, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Alexander Larsson <alexl@redhat.com>
 */

#include <glib/gerror.h>

G_BEGIN_DECLS

#define NAUTILUS_BURN_ISO_ERROR nautilus_burn_iso_error_quark ()

GQuark nautilus_burn_iso_error_quark (void);

typedef enum {
	NAUTILUS_BURN_ISO_ERROR_INTERNAL,
	NAUTILUS_BURN_ISO_ERROR_GENERAL
} NautilusBurnIsoError;

int      nautilus_burn_make_iso        (const char *filename,
					const char *label,
					gboolean    warn_low_space,
					gboolean    use_joliet,
					gboolean    debug,
					GError    **error);
void     nautilus_burn_make_iso_cancel (void);
gboolean nautilus_burn_verify_iso      (const char *filename,
					char      **name,
					GError    **error);

G_END_DECLS
